#include "mv1.h"
int
main(int argc, char **argv){ 
        MV1_CamConfig cfg;
	MV1_Ctrl *ctrl;

	// Fill the cfg struct with CCIR default values, so there will be no
	// unitialized fields.
	MV1_SelectSTDCameraConfig(&cfg,MV1_CCIR_Cam);
        if ( argc > 1 ){
        	if(MV1_LoadCameraConfigFile(&cfg,argv[1])<0) {
			fprintf(stderr,"Error parsing %s\n",argv[1]);
		}
		else {
			ctrl = MV1_Open(0);
			MV1_SetCameraConfig(&cfg,ctrl);
		}
	}
        else {
		fprintf(stderr,"not enough arguments:\nusage: %s xyz.ini\n",argv[0]);
		exit(1);
	}
        exit(0);
}

